%{?nodejs_find_provides_and_requires}

Name:       nodejs-lru-cache
Version:    4.1.2
Release:    %mkrel 2
Summary:    A least recently used cache object for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/node-lru-cache
Source0:    http://registry.npmjs.org/lru-cache/-/lru-cache-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
A cache object that deletes the least recently used items.

%prep
%setup -q -n package
%nodejs_fixdep yallist ">=2"

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lru-cache
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/lru-cache

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/lru-cache
%doc README.md
%license LICENSE



%changelog
* Sat Jun 27 2020 joequant <joequant> 4.1.2-2.mga8
+ Revision: 1599603
- fix deps

* Wed Jun 10 2020 joequant <joequant> 4.1.2-1.mga8
+ Revision: 1591953
- update to 4.1.2

* Wed Feb 12 2020 umeabot <umeabot> 2.3.0-4.mga8
+ Revision: 1492607
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.3.0-3.mga7
+ Revision: 1265018
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.3.0-2.mga6
+ Revision: 950328
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 tv <tv> 2.3.0-1.mga5
+ Revision: 794123
- imported package nodejs-lru-cache

